# Uses of Class
java.nio.channels.AsynchronousFileChannel

Packages that use AsynchronousFileChannel
Package
Description
java.nio.channels
Defines channels, which represent connections to entities that are capable of performing I/O operations, such as files and sockets; defines selectors, for multiplexed, non-blocking I/O operations.
java.nio.file.spi
Service-provider classes for the `java.nio.file` package.

## Uses of AsynchronousFileChannel in java.nio.channels

Methods in java.nio.channels that return AsynchronousFileChannel
Modifier and Type
Method
Description
`static AsynchronousFileChannel`
AsynchronousFileChannel.`open​(Path file, OpenOption... options)`
Opens or creates a file for reading and/or writing, returning an asynchronous file channel to access the file.
`static AsynchronousFileChannel`
AsynchronousFileChannel.`open​(Path file, Set<? extends OpenOption> options, ExecutorService executor, FileAttribute<?>... attrs)`
Opens or creates a file for reading and/or writing, returning an asynchronous file channel to access the file.
`abstract AsynchronousFileChannel`
AsynchronousFileChannel.`truncate​(long size)`
Truncates this channel's file to the given size.
Constructors in java.nio.channels with parameters of type AsynchronousFileChannel
Modifier
Constructor
Description
`protected`
`FileLock​(AsynchronousFileChannel channel, long position, long size, boolean shared)`
Initializes a new instance of this class.

## Uses of AsynchronousFileChannel in java.nio.file.spi

Methods in java.nio.file.spi that return AsynchronousFileChannel
Modifier and Type
Method
Description
`AsynchronousFileChannel`
FileSystemProvider.`newAsynchronousFileChannel​(Path path, Set<? extends OpenOption> options, ExecutorService executor, FileAttribute<?>... attrs)`
Opens or creates a file for reading and/or writing, returning an asynchronous file channel to access the file.